lld: include reloc .dynamic tags when only ifunc relocations exist
AbandonedPublic

Authored by emaste on Dec 29 2017, 6:23 PM.

Details

Reviewers
dim
Summary

Backported version of upstream https://reviews.llvm.org/D41592
LLVM PR 35751 - .dynamic relocation entries omitted if output contains only IFUNC relocations

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped
emaste created this revision.Dec 29 2017, 6:23 PM
dim accepted this revision.Dec 29 2017, 8:38 PM

LGTM

This revision is now accepted and ready to land.Dec 29 2017, 8:38 PM
emaste updated this revision to Diff 37212.Dec 30 2017, 12:11 AM

It looks like D41592 depends on liveness tracking changes that are not in 5.0. Use a slightly hackish approach that works with 5.0 instead.

This revision now requires review to proceed.Dec 30 2017, 12:11 AM
emaste abandoned this revision.Apr 21 2018, 3:30 AM

OBE, lld 6.0 is in the tree now